package cn.csdn.activity;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class FileTestActivity extends Activity implements OnClickListener {
	private OutputStream os; /* ļļ */
	private InputStream is; /* ļȡļ */
	private byte[] b; /* ֽ飬ȡļ */
	// 洢ļ
	public final static String SHARED_MAIN_XML = "main.txt";
	// 
	Button buttonsave, buttonRead, clean, delete;
	EditText name, age;
	TextView contentTV;
	String content, namecontent;
	int agecontent;
	String savename = "";
	int saveage = 0;

	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		findViews();
		
		content = read();
		contentTV.setText(content);
	}

	private void findViews() {// õ
		name = (EditText) findViewById(R.id.name);
		age = (EditText) findViewById(R.id.age);
		buttonsave = (Button) findViewById(R.id.button);
		buttonRead = (Button) findViewById(R.id.buttonRead);
		clean = (Button) findViewById(R.id.clean);
		delete = (Button) findViewById(R.id.delete);
		contentTV = (TextView) findViewById(R.id.content);
		buttonsave.setOnClickListener(this);
		buttonRead.setOnClickListener(this);
		clean.setOnClickListener(this);
		delete.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.button:// 
			write();
			Toast.makeText(
					this,
					"ɹ",Toast.LENGTH_LONG).show();
			break;
		case R.id.buttonRead:// 
			content = read();
			contentTV.setText(content);
			// Toast.makeText(this, "ɹ", Toast.LENGTH_LONG).show();
			break;
		case R.id.clean:// 
			clear();
			content = read();
			contentTV.setText(content);
			Toast.makeText(this, "ɹ", Toast.LENGTH_LONG).show();
			break;
		case R.id.delete:// ɾļ
			delete();

			break;
		}
	}
	private void delete() {
		File file = new File("/data/data/cn.csdn.activity/files", SHARED_MAIN_XML);  
	        if (file.exists()) {  
	            file.delete();  
	        }  
	}
	private void clear() {
		String nameage="";
		try {
			os = this.openFileOutput(SHARED_MAIN_XML, MODE_PRIVATE);
			/* ַתֽ飬дļ */
			os.write(nameage.getBytes());
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private String read() {
		String nameage="";
		// ļ
		try {
			is = this.openFileInput(SHARED_MAIN_XML);
			/* ʼֽ */
			b = new byte[1024];
			/* ļжȡݵֽУݳ */
			int length = is.read(b);
			/* ֽתַ */
			nameage= new String(b);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return nameage;
	}

	private void write() {
		String nameage=":"+name.getText().toString().trim()+"䣺"+age.getText().toString();
		try {
			os = this.openFileOutput(SHARED_MAIN_XML, MODE_PRIVATE);
			/* ַתֽ飬дļ */
			os.write(nameage.getBytes());
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}finally {
			try {
				/* رļ */
				os.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
}
