package cn.csdn.activity;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.text.Html;
import android.text.Spanned;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import cn.csdn.domain.UserDao;
import cn.csdn.service.DatabaseHelper;
import cn.csdn.service.UserService;

public class SQLiteActivity extends Activity implements OnClickListener{
	Button createBtn,insertBtn,selectidBtn,selectBtn,deleteId;
	EditText username,password,idtxt;
	TextView all;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.sql_main);
		findViews();
	}
	private void findViews() {
		createBtn=(Button)findViewById(R.id.create);
		insertBtn=(Button)findViewById(R.id.insert_btn);
		selectidBtn=(Button)findViewById(R.id.selectid_btn);
		selectBtn=(Button)findViewById(R.id.select_btn);
		deleteId=(Button)findViewById(R.id.deleteid_btn);
		createBtn.setOnClickListener(this);
		insertBtn.setOnClickListener(this);
		selectidBtn.setOnClickListener(this);
		selectBtn.setOnClickListener(this);
		deleteId.setOnClickListener(this);
		username=(EditText)findViewById(R.id.username);
		password=(EditText)findViewById(R.id.password);
		idtxt=(EditText)findViewById(R.id.selectid_edit);
		all=(TextView) findViewById(R.id.all);
		
	}
	public void onClick(View v) {
		String idstr="";
		switch(v.getId()){
		case R.id.clean:
			create();
			break;
		case R.id.insert_btn:
			insert();
			Toast.makeText(this, "ɹ", Toast.LENGTH_LONG).show();
			break;
		case R.id.selectid_btn:
			idstr=idtxt.getText().toString().trim();
			int id_int=Integer.parseInt(idstr);
			selectId(id_int);
			break;
		case R.id.select_btn:
			selectAll();
			break;
		case R.id.deleteid_btn:
			deleteId();
			Toast.makeText(this, "ɾɹ", Toast.LENGTH_LONG).show();
			selectAll();
			break;
		}
	}
	private void deleteId() {
		UserService service=new UserService(this,"users.db");
		String idstr=idtxt.getText().toString().trim();
		int id=Integer.parseInt(idstr);
		service.delete(id);
	}
	private void create() {//ݿͱ
		DatabaseHelper dbhepler=new DatabaseHelper(this, "users.db",1);
		dbhepler.getReadableDatabase();
	}
	private void insert() {//
		UserService service=new UserService(this,"users.db");
		UserDao user=new UserDao();
		user.setUsername(username.getText().toString().trim());
		user.setPassword(password.getText().toString().trim());
		service.insert(user);
	}
	private void selectId(int id) {//idѯ
		UserService service=new UserService(this,"users.db");
		UserDao user=service.find(id);
		if(user==null){
			Toast.makeText(this, "ûѯ", Toast.LENGTH_LONG).show();
		}else{
			Toast.makeText(this, user.toString(), Toast.LENGTH_LONG).show();
		}
		
		System.out.println(user);
	}
	private void selectAll() {//ѯ
		String text="id &nbsp;&nbsp;username &nbsp;&nbsp;password"+"<br>";
		UserService service=new UserService(this,"users.db");
		Cursor cursor=service.select();
		while(cursor.moveToNext()){
			System.out.println(cursor.getInt(0)+cursor.getString(1)+cursor.getString(2));
			text=text+cursor.getInt(0)+" &nbsp;&nbsp;"+cursor.getString(1)+" &nbsp;&nbsp;"+cursor.getString(2)+"<br/>";
		}
		all.setText(Html.fromHtml(text));
		//Toast.makeText(this, cursor.toString(), Toast.LENGTH_LONG).show();		
		cursor.close();
	}
}
