package cn.csdn.activity;

import java.io.File;

import android.app.Activity;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class SharedPreferencesTestActivity extends Activity implements
		OnClickListener {
	/** ʹSharedPreferences ȡ **/
	SharedPreferences mShared = null;
	// 洢ļ
	public final static String SHARED_MAIN_XML = "main";
	// 
	Button buttonsave, buttonRead, clean, delete;
	EditText name, age;
	TextView contentTV;
	String content, namecontent;
	int agecontent;
	String savename = "";
	int saveage = 0;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		// õsharedpreference
		mShared = getSharedPreferences(SHARED_MAIN_XML, MODE_PRIVATE);
		findViews();
		// ȸcontentֵcontentTVóʼ״̬
		content = read();
		contentTV.setText(content);
	}

	private void findViews() {// õ
		name = (EditText) findViewById(R.id.name);
		age = (EditText) findViewById(R.id.age);
		buttonsave = (Button) findViewById(R.id.button);
		buttonRead = (Button) findViewById(R.id.buttonRead);
		clean = (Button) findViewById(R.id.clean);
		delete = (Button) findViewById(R.id.delete);
		contentTV = (TextView) findViewById(R.id.content);
		buttonsave.setOnClickListener(this);
		buttonRead.setOnClickListener(this);
		clean.setOnClickListener(this);
		delete.setOnClickListener(this);

	}

	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.button:// 
			write();
			Toast.makeText(
					this,
					"ɹ" + this.getPackageResourcePath()
							+ getPackageName().toString() + "/shared_prefs",
					Toast.LENGTH_LONG).show();
			break;
		case R.id.buttonRead:// 
			content = read();
			contentTV.setText(content);
			// Toast.makeText(this, "ɹ", Toast.LENGTH_LONG).show();
			break;
		case R.id.clean:// 
			clear();
			content = read();
			contentTV.setText(content);
			Toast.makeText(this, "ɹ", Toast.LENGTH_LONG).show();
			break;
		case R.id.delete:// ɾļ
			delete();

			break;
		}

	}

	private String read() {// ݿȡ
		namecontent = mShared.getString("name", "ݿûд洢");
		agecontent = mShared.getInt("age", 0);
		String reading = ":" + namecontent + "\n:" + agecontent;
		return reading;
	}

	private void write() {// 
		savename = name.getText().toString().trim();
		saveage = Integer.valueOf(age.getText().toString().trim());
		Editor editor = mShared.edit();
		editor.putString("name", savename);
		editor.putInt("age", saveage);
		// ֤
		editor.commit();
	}

	private void clear() {//
		/** ʼSharedPreferencesб **/
		Editor editor = mShared.edit();
		editor.remove("name");
		editor.remove("age");
		editor.commit();

	}

	private void delete() {//ɾļ
		/** ɾSharedPreferencesļ **/
		File file = new File("/data/data/cn.csdn.activity" + "/shared_prefs/"
				+ SHARED_MAIN_XML + ".xml");
		if (file.exists()) {
			file.delete();
			Toast.makeText(this, "ɾɹ", Toast.LENGTH_LONG).show();
		}
	}
}