package cn.csdn.service;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import cn.csdn.domain.UserDao;

public class UserService {
	private DatabaseHelper helper;

	public UserService(Context context, String name, int version) {
		helper = new DatabaseHelper(context, name, version);
	}
	public UserService(Context context, String name) {
		helper = new DatabaseHelper(context, name);
	}

	public void insert(UserDao user) {// 
		SQLiteDatabase sdb = helper.getWritableDatabase();
		ContentValues values = new ContentValues();
		values.put("username", user.getUsername());
		values.put("password", user.getPassword());
		sdb.insert("user", "name", values);

		sdb.close();
	}

	public void delete(int id) {// ɾ
		SQLiteDatabase sdb = helper.getWritableDatabase();
		sdb.delete("user", "id=?", new String[]{String.valueOf(id)});
		sdb.close();
	}

	public void update(UserDao user, int id) {// 
		SQLiteDatabase sdb = helper.getWritableDatabase();
		ContentValues values=new ContentValues();
		values.put("username", user.getUsername());
		values.put("password", user.getPassword());
		sdb.update("user", values, "id=?", new String[]{String.valueOf(id)});
		sdb.close();
	}

	public Cursor select() {// ѯ
		SQLiteDatabase sdb = helper.getWritableDatabase();		
		return 	sdb.query("user", new String[]{"id as _id","username","password"}, null, null, null, null, null);
	}
	public UserDao find(int id){//idѯ
		UserDao user=null;
		SQLiteDatabase sdb=helper.getWritableDatabase();
		Cursor cursor=sdb.query("user", new String[]{"id","username","password"}, "id=?", new String[]{String.valueOf(id)}, null, null, null);		
		if(cursor.moveToFirst()){
			user=new UserDao();
			user.setId(cursor.getInt(0));
			user.setUsername(cursor.getString(1));
			user.setPassword(cursor.getString(2));
		}
		cursor.close();
		sdb.close();
		return user;
	}
}
