package cn.csdn.test;

import android.content.ContentResolver;
import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;
import android.test.AndroidTestCase;
import android.util.Log;
import cn.csdn.domain.UserDao;
import cn.csdn.service.DatabaseHelper;
import cn.csdn.service.UserService;

public class SqlTest extends AndroidTestCase {
	//ݿ
	private DatabaseHelper helper;
	public void create(){
		helper=new DatabaseHelper(this.getContext(),"users.db",1);
		helper.getReadableDatabase();
	}
	public void insert(){//
		UserService service=new UserService(this.getContext(),"users.db");
		UserDao user=new UserDao();
		user.setUsername("heyley");
		user.setPassword("renhaili");
		service.insert(user);
	}
	public void select(){//ѯ
		UserService service=new UserService(this.getContext(),"users.db");
		Cursor cursor=service.select();
		while(cursor.moveToNext()){
			System.out.println(cursor.getInt(0)+cursor.getString(1)+cursor.getString(2));
		}
		cursor.close();
	}
	public void delete(){//idɾ
		UserService service=new UserService(this.getContext(),"users.db");
		service.delete(1);
	}
	public void selectId(){//idѯ
		UserService service=new UserService(this.getContext(),"users.db");
		System.out.println(service.find(1));
		
	}
	public void update(){// 
		UserService service=new UserService(this.getContext(),"users.db");
		UserDao user=new UserDao();
		user.setUsername("heyley");
		user.setPassword("renhaili123");
		service.update(user, 1);
	}
	//contentprovider
	public void testinsert(){//
		ContentResolver resolver = this.getContext().getContentResolver();
		Uri inserturi=Uri.parse("content://cn.csdn.activity.providers.userprovider/user");
		ContentValues values=new ContentValues();
		values.put("username", "renhiali");
		values.put("password", "123");
		Uri uri=resolver.insert(inserturi, values);
		Log.i("TAG", uri.toString());
	}
	public void testdelete(){//ɾ
		ContentResolver resolver = this.getContext().getContentResolver();
		Uri deleteuri=Uri.parse("content://cn.csdn.activity.providers.userprovider/user/7");
		int num=resolver.delete(deleteuri, null, null);
		Log.i("TAG", num+"");
	}
	public void testupdate(){//
		ContentResolver resolver = this.getContext().getContentResolver();
		Uri uri=Uri.parse("content://cn.csdn.activity.providers.userprovider/user/8");
		ContentValues values=new ContentValues();
		values.put("username", "123");
		resolver.update(uri, values, null, null);
	}
	public void testquery(){//ѯ
		ContentResolver resolver = this.getContext().getContentResolver();
		Uri uri=Uri.parse("content://cn.csdn.activity.providers.userprovider/user/4");
		Cursor cursor=resolver.query(uri, null, null, null, null);
		cursor.moveToFirst();
		Log.i("TAG",cursor.getString(1));
		cursor.close();
	}
}
